\name{plot.diana}
\title{
Banner Of Divisive Hierarchical Clusterings
}
\usage{
plot.diana(x, \dots)


}
\arguments{
\item{x}{
an object of class \code{"diana"}, created by the function \code{diana}.
Graphical parameters (see \code{\link{par}}) may also
be supplied as arguments to this function.


}}
\value{
a NULL value is returned.


}
\section{Side Effects}{
A banner is plotted on the current graphics device.


}
\description{
The banner displays the hierarchy of clusters, and is equivalent to a tree.
See Rousseeuw (1986) or chapter 6 of Kaufman and Rousseeuw (1990).
The banner plots the diameter of each cluster being splitted.
The objects are listed in the order found by the \code{diana} algorithm, and the
numbers in the \code{height} vector are represented as bars between the objects.


}
\references{
Kaufman, L. and Rousseeuw, P.J. (1990). Finding Groups in Data: An
Introduction to Cluster Analysis. Wiley, New York.


Rousseeuw, P.J. (1986). A visual display for hierarchical classification,
in "Data Analysis and Informatics 4", edited by E. Diday, Y. Escoufier,
L. Lebart, J. Pages, Y. Schektman, and R. Tomassone. North-Holland,
Amsterdam. pp. 743-748.


}
\seealso{
\code{\link{diana}}, \code{\link{diana.object}}, \code{\link{pltree.diana}}, \code{\link{par}}.


}
\examples{
plot(diana(votes.repub))


}
\keyword{all}
\keyword{cluster}
\keyword{hplot}
% Converted by Sd2Rd version 0.2-a3.
